Subject: Re: [PATCH v3 1/7] Only parse time stamp TCP option in time wait sock

From: William Allen Simpson <[email-masked]>
Date: Mon, 26 Oct 2009 12:56:14 -0400

Gilad Ben-Yossef wrote:
> Since we only use tcp_parse_options here to check for the exietence
> of TCP timestamp option in the header, it is better to call with
> the "established" flag on.
> 
Please explain how this patch is required for the other patches?

And more importantly, why it is better to call with established on?

And most importantly, what end cases you considered, and how this
interacts with the proposed rfc1323bis changes, especially on reset?